Package org.apache.sysds.parser.dml

## Class DmlParser.ExpressionContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sysds.parser.dml.DmlParser.ExpressionContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Direct Known Subclasses:
  `DmlParser.AddSubExpressionContext`, `DmlParser.AtomicExpressionContext`, `DmlParser.BooleanAndExpressionContext`, `DmlParser.BooleanNotExpressionContext`, `DmlParser.BooleanOrExpressionContext`, `DmlParser.BuiltinFunctionExpressionContext`, `DmlParser.ConstDoubleIdExpressionContext`, `DmlParser.ConstFalseExpressionContext`, `DmlParser.ConstIntIdExpressionContext`, `DmlParser.ConstStringIdExpressionContext`, `DmlParser.ConstTrueExpressionContext`, `DmlParser.DataIdExpressionContext`, `DmlParser.MatrixMulExpressionContext`, `DmlParser.ModIntDivExpressionContext`, `DmlParser.MultDivExpressionContext`, `DmlParser.MultiIdExpressionContext`, `DmlParser.PowerExpressionContext`, `DmlParser.RelationalExpressionContext`, `DmlParser.UnaryExpressionContext`

Enclosing class:
  DmlParser

    public static class DmlParser.ExpressionContext
    extends org.antlr.v4.runtime.ParserRuleContext

### Field Summary

Fields
`ExpressionInfo` `info`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`EMPTY, invokingState, parent`

### Constructor Summary

Constructors
`ExpressionContext()`
`ExpressionContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `copyFrom​(DmlParser.ExpressionContext ctx)`
`int` `getRuleIndex()`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### info

    public ExpressionInfo info

### Constructor Detail

#### ExpressionContext

    public ExpressionContext​(org.antlr.v4.runtime.ParserRuleContext parent,
                             int invokingState)

#### ExpressionContext

    public ExpressionContext()

### Method Detail

#### getRuleIndex

    public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

#### copyFrom

    public void copyFrom​(DmlParser.ExpressionContext ctx)